# TODO add a init file, if it is worth
# split data if we can force a rpm to be noarch

Summary:	Battle for Wesnoth is a fantasy turn-based strategy game.
Name:		wesnoth
Version:	0.6.1
Release:	1mdk
License:	GPL
Group:	Games/Strategy
Url:    http://www.wesnoth.org
# http://www.wesnoth.org/files/wesnoth-0.5.tar.gz
Source:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icon.png.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires: SDL_image-devel SDL_ttf-devel
BuildRequires: SDL_net-devel SDL_mixer-devel
BuildRequires: ImageMagick

%description
Battle for Wesnoth is a fantasy turn-based strategy game.
Battle for control of villages, using variety of units which 
have advantages and disadvantages in different types of terrains and 
against different types of attacks. Units gain experience and advance 
levels, and are carried over from one scenario to the next campaign.


%package -n %{name}-server
Summary: Server for "Battle fo Wesnoth" game 
Group: Games/Strategy

%description -n %{name}-server
This package contains "Battle for wesnoth" server, used to play multiplayer
game without needing to install the full client.


%prep
%setup -q
%configure --datadir=%{_gamesdatadir} --bindir=%{_gamesbindir} --enable-server --enable-editor

%build
%make
%install

rm -rf $RPM_BUILD_ROOT
%makeinstall datadir=$RPM_BUILD_ROOT/%{_gamesdatadir} bindir=$RPM_BUILD_ROOT/%{_gamesbindir}

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}

bzcat %{SOURCE1} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png -size 32x32 $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
convert $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png -size 16x16 $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png


# menu entry
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
needs="x11" \
section="Amusement/Strategy" \
title="Battle For Wesnoth" \
longtitle="A fantasy turn-based strategy game." \
command="%{_gamesbindir}/%{name}" \
icon="%{name}.png"
?package(%{name}): \
needs="x11" \
section="Amusement/Strategy" \
title="Battle For Wesnoth editor" \
longtitle="The map editor of Battle for Wesnoth" \
command="%{_gamesbindir}/%{name}_editor" \
icon="%{name}.png"
EOF
%find_lang %{name}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,0755)
%doc changelog COPYING copyright INSTALL MANUAL MANUAL.* README
%exclude %{_gamesbindir}/%{name}d
%{_gamesbindir}/*
%{_gamesdatadir}/%{name}
%{_menudir}/%{name}
%{_liconsdir}/%{name}.*
%{_iconsdir}/%{name}.*
%{_miconsdir}/%{name}.*
%{_mandir}/*/%{name}.*

%files -n %{name}-server
%defattr(-,root,root,0755)
%{_gamesbindir}/%{name}d
%{_mandir}/*/%{name}d.*

%changelog
* Wed Dec 17 2003 Michael Scherer <misc@mandrake.org> 0.6.1-1mdk
- 0.6.1
 
* Sat Dec 13 2003 Michael Scherer <misc@mandrake.org> 0.6-2mdk
- split server from the package
- add editor to menu
 
* Fri Dec 12 2003 Michael Scherer <misc@mandrake.org> 0.6-1mdk
- 0.6
- fix BuildRequires
- use configure
 
* Mon Nov 10 2003 Michael Scherer <scherer.michael@free.fr> 0.5.1-1mdk 
- 0.5.1

* Sat Nov 01 2003 Michael Scherer <scherer.michael@free.fr> 0.5-1mdk 
- import into contribs, with a spec file from Jay Hopping <jayhopping@myrealbox.com>
